server:
	gf run main.go

gendb:
	go run cmd.go gendb

jsonc:
	go run cmd.go jsonc

queue:
	go run cmd.go queue

cron:
	go run cmd.go cron

help:
	go go run cmd.go help

push:
	@cd .. && ./push.sh

web:
	@cd ../web && yarn serve

build-web:
	@rm -rf ./resource/public/gadmin/*
	@cd ../web && yarn build && \cp -rf ./dist/*  ../server/resource/public/gadmin/

pack:
	@cd ./bin && ./package.sh

build:
	go build -o console cmd.go && upx console

gen-sql:
	go run cmd gensql